# Class SpeciesFormChange

- Defined in src/data/pokemon-forms.ts:95

#####
Index

### Constructors

constructor

### Properties

conditions
formKey
preFormKey
quiet
speciesId
trigger

### Methods

canChange
findTrigger

## Constructors

### constructor

- new SpeciesFormChange(speciesId, preFormKey, evoFormKey, trigger, quiet?, ...conditions): SpeciesFormChange

- #### Parameters

  - speciesId: Species
  - preFormKey: string
  - evoFormKey: string
  - trigger: SpeciesFormChangeTrigger
  - quiet: boolean = false
  - `Rest` ...conditions: SpeciesFormChangeCondition []

  #### Returns SpeciesFormChange

  - Defined in src/data/pokemon-forms.ts:103

## Properties

### `Private` conditions

conditions: SpeciesFormChangeCondition []

- Defined in src/data/pokemon-forms.ts:101

### formKey

formKey: string

- Defined in src/data/pokemon-forms.ts:98

### preFormKey

preFormKey: string

- Defined in src/data/pokemon-forms.ts:97

### quiet

quiet: boolean

- Defined in src/data/pokemon-forms.ts:100

### speciesId

speciesId: Species

- Defined in src/data/pokemon-forms.ts:96

### trigger

trigger: SpeciesFormChangeTrigger

- Defined in src/data/pokemon-forms.ts:99

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:112

### findTrigger

- findTrigger(triggerType): SpeciesFormChangeTrigger

- #### Parameters

  - triggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  - Defined in src/data/pokemon-forms.ts:143